org.apache.tinkerpop.gremlin.giraph.structure.io

## Class GiraphVertexOutputFormat

- java.lang.Object
- - VertexOutputFormat
  - - org.apache.tinkerpop.gremlin.giraph.structure.io.GiraphVertexOutputFormat

-     public final class GiraphVertexOutputFormat
      extends VertexOutputFormat

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiraphVertexOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOutputSpecs(JobContext context)`
    `VertexWriter` | `createVertexWriter(TaskAttemptContext context)`
    `OutputCommitter` | `getOutputCommitter(TaskAttemptContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GiraphVertexOutputFormat

          public GiraphVertexOutputFormat()

  - ### Method Detail

    - #### createVertexWriter

          public VertexWriter createVertexWriter(TaskAttemptContext context)
                                          throws IOException,
                                                 InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### checkOutputSpecs

          public void checkOutputSpecs(JobContext context)
                                throws IOException,
                                       InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getOutputCommitter

          public OutputCommitter getOutputCommitter(TaskAttemptContext context)
                                             throws IOException,
                                                    InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.